#!/bin/bash
cd "${0%/*}"
for file in /dev/cu.usbseria*A
do
 stty -f $file 1200 cs8 cread clocal
done

./esptool --chip esp32 --port $file --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size 0x1000 bootloader.bin 0x10000 tdiflasher_firmware.bin 0x9000 partition-table.bin

exit
